import 'package:aliyun_oss_platform_interface/aliyun_oss_platform_interface.dart';
import 'package:flutter/services.dart';
export 'oss/export_oss.dart';

const MethodChannel _methodChannel =
    MethodChannel('com.wombat/aliyun_oss_plugin');

class MethodChannelAliyunOSS extends AliyunOSSPlatform {
  @override
  Future<String?> getPlatformVersion() {
    return _methodChannel.invokeMethod('getPlatformVersion');
  }

  @override
  init(String endpoint, OSSCredentialProvider provider) {
    return _methodChannel.invokeMethod('init', provider.toJson()..addAll(
      {"endpoint": endpoint}
    ));
  }

  @override
  Future putObject(String bucketName) async {
    return _methodChannel.invokeMethod('putObject', {"bucketName": bucketName});
  }

  @override
  void setMethodCallHandler(Future<dynamic> Function(MethodCall call)? handler) {
    _methodChannel.setMethodCallHandler(handler);
  }
}
